|  | Home | Documentation | ds__X509DataType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
ds__X509DataType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":X509DataType is a complexType. More...

`#include <ds.h>`

Collaboration diagram for ds__X509DataType:
[legend]

## Public Attributes

struct ds__X509IssuerSerialType * | X509IssuerSerial
char * | X509SKI
| Element X509SKI of type xs:base64Binary.
char * | X509SubjectName
| Element X509SubjectName of type xs:string.
char * | X509Certificate
| Element X509Certificate of type xs:base64Binary.
char * | X509CRL
| Element X509CRL of type xs:base64Binary.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":X509DataType is a complexType.

## Member Data Documentation

## ◆ X509Certificate

char* ds__X509DataType::X509Certificate

Element X509Certificate of type xs:base64Binary.

Required element.

## ◆ X509CRL

char* ds__X509DataType::X509CRL

Element X509CRL of type xs:base64Binary.

Required element.

## ◆ X509IssuerSerial

struct ds__X509IssuerSerialType* ds__X509DataType::X509IssuerSerial

CHOICE OF ELEMENTS <choice> Element X509IssuerSerial of type "http://www.w3.org/2000/09/xmldsig#":X509IssuerSerialType. Required element.

## ◆ X509SKI

char* ds__X509DataType::X509SKI

Element X509SKI of type xs:base64Binary.

Required element.

## ◆ X509SubjectName

char* ds__X509DataType::X509SubjectName

Element X509SubjectName of type xs:string.

Required element.

The documentation for this struct was generated from the following file:

- ds.h